public class Main {

    public static void main(String[] args) {

        // Create new company
        Company company = new Company("An IT Solutions");

        // Contract new staff member Bill, he is an executive
        StaffMember bill = new StaffMember("Bill", 1000.0);
        Executive billPolicy = new Executive();
        bill.setPaydayPolicy(billPolicy);
        company.addMember(bill);

        // Contract new staff member Steve, he is a volunteer
        StaffMember steve = new StaffMember("Steve", 0.0);
        Volunteer stevePolicy = new Volunteer();
        steve.setPaydayPolicy(stevePolicy);
        company.addMember(steve);

        // Contract new staff member John, he is an employee with monthly salary
        StaffMember john = new StaffMember("John", 2000.0);
        Employee johnPolicy = new Employee();
        john.setPaydayPolicy(johnPolicy);
        company.addMember(john);

        // Contract new staff member Juraj, he is an hourly paid part time employee
        StaffMember juraj = new StaffMember("Juraj", 10.0);
        Hourly jurajPolicy = new Hourly();
        juraj.setPaydayPolicy(jurajPolicy);
        company.addMember(juraj);

        // Contract new staff member Martin, but we forgot to set up a payday policy for him
        StaffMember martin = new StaffMember("Martin", 1000.0);
        company.addMember(martin);

        // A new month ended, we perform payday
        billPolicy.setBonus(10000.0);  // Bill should receive a bonus
        jurajPolicy.addHours(80.0);  // Juraj adds his working hours
        company.payday();
    }
}
